Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.bsh
Class CollectionManager

    java.lang.Object
      org.gjt.sp.jedit.bsh.CollectionManager

Direct Known Subclasses:
  CollectionManagerImpl

    public class CollectionManager

extends java.lang.Object

The default CollectionManager (which remains Java 1.1 compatible) supports iteration over objects of type: Enumeration, Vector, String, StringBuffer and array. The dynamically loaded CollectionManagerImpl supports additional types when it is present.

Nested Class Summary
`static class` | `CollectionManager.BasicBshIterator` An implementation that works with JDK 1.1

Constructor Summary
`CollectionManager()`

Method Summary
`BshIterator` | `getBshIterator(java.lang.Object obj)`
`static CollectionManager` | `getCollectionManager()`
`java.lang.Object` | `getFromMap(java.lang.Object map, java.lang.Object key)`
`boolean` | `isBshIterable(java.lang.Object obj)`
`boolean` | `isMap(java.lang.Object obj)`
`java.lang.Object` | `putInMap(java.lang.Object map, java.lang.Object key, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionManager

    public CollectionManager()

Method Detail

### getCollectionManager

    public static CollectionManager getCollectionManager()

### isBshIterable

    public boolean isBshIterable(java.lang.Object obj)

### getBshIterator

    public BshIterator getBshIterator(java.lang.Object obj)
                               throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### isMap

    public boolean isMap(java.lang.Object obj)

### getFromMap

    public java.lang.Object getFromMap(java.lang.Object map,
                                       java.lang.Object key)

### putInMap

    public java.lang.Object putInMap(java.lang.Object map,
                                     java.lang.Object key,
                                     java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD